package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrderDetail;
import com.ym.mec.biz.dal.entity.StudentRegistration;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class StudentAddDto{

    @ApiModelProperty(value = "临时课程费用", required = false)
    private BigDecimal temporaryCourseFee;

    @ApiModelProperty(value = "课程费用", required = false)
    private BigDecimal courseFee;

    @ApiModelProperty(value = "订单详情", required = false)
    private List<StudentPaymentOrderDetail> studentPaymentOrderDetails;

    @ApiModelProperty(value = "基本信息", required = false)
    private StudentRegistration studentRegistration;

    public BigDecimal getTemporaryCourseFee() {
        return temporaryCourseFee;
    }

    public void setTemporaryCourseFee(BigDecimal temporaryCourseFee) {
        this.temporaryCourseFee = temporaryCourseFee;
    }

    public BigDecimal getCourseFee() {
        return courseFee;
    }

    public void setCourseFee(BigDecimal courseFee) {
        this.courseFee = courseFee;
    }

    public List<StudentPaymentOrderDetail> getStudentPaymentOrderDetails() {
        return studentPaymentOrderDetails;
    }

    public void setStudentPaymentOrderDetails(List<StudentPaymentOrderDetail> studentPaymentOrderDetails) {
        this.studentPaymentOrderDetails = studentPaymentOrderDetails;
    }

    public StudentRegistration getStudentRegistration() {
        return studentRegistration;
    }

    public void setStudentRegistration(StudentRegistration studentRegistration) {
        this.studentRegistration = studentRegistration;
    }
}
