package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum GroupType implements BaseEnum<String, GroupType> {
	MUSIC("乐团课"), VIP("VIP课"), DEMO("试听课");

	private String desc;

	private GroupType(String desc) {
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return name();
	}

	public String getDesc() {
		return desc;
	}

}
